{ lib, ... }:

with lib;

{
  imports = [ 
    ../../options/machine.nix 
  ];

  config.machine = {
    hostName = "CDServer";
    administrators = [ { name = "derped"; id = 1337; } ];
    allowUnfree = true;
    conffiles = [
      "etcvars"
#      "security"
      "zsh"
    ];
    pkgs = [
      "base"
      "emacs"
      "server"
    ];
    services = [
      "docker"
#      "fail2ban"
#      "gitea"
#      "mailserver"
      "cd-internes"
      "mariaDB"
      "nginx"
      "openssh"
    ];
    firewall = {
      allowPing = false;
      allowedUDPPorts = [ 22 80 443 ];
      allowedTCPPorts = [ 80 443 ];
      allowedUDPPortRanges = [];
      allowedTCPPortRanges = [];
    };
  };
}
